<?php
/*
	Clase SuperSections para las secciones de la web
	@version 1.0
*/
//Esta clase utiliza el compresor/minificador

class SuperJShrink{
	//TODO => Si se modifica la sesión hay que limpiar los "media"
	public static function compress($listFiles = array(), $fileName = ''){

		require_once(_WS_LIB_DIR_ . 'JShrink/Minifier.php');

		//Vamos a convertir los ficheros:
		$extension = pathinfo($fileName, PATHINFO_EXTENSION);
		$finalPath = _WS_DYNAMIC_DIR_ . 'media/' . $extension . '/';
		$resultado = '';		
		
		foreach($listFiles->list as $clave => $filetime){
			//$path = _WS_DIR_ . _WS_THEMES_DIR_ . _WS_THEME_DIR_ . _WS_THEME_HTML_DIR_ . $clave;
			//Pedro 04/Mayo/2020 ==> El fichero puede estar en cualquier sitio así que vamos a obtener su ruta del tema:
			$path = Theme::findFile(basename($clave));
			$contenido = file_get_contents($path);
			if ($extextension = 'js'){
				$resultado .= \JShrink\Minifier::minify($contenido, array('flaggedComments' => false));
			}
		}
		
		if ($file = fopen($finalPath . $fileName, 'w')){
			fwrite($file, $resultado);
			fclose($file);
		}
	}
}
